
QGIS Application - Bug report #15155

QGis crash at start up

2016-06-28 01:48 AM - Luca De Felice

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23094

Description

I Installed QGis 2.14 Essen, but when I run it I can see the splashscreen for 2/3 seconds, then it disappears and QGis is not running. 

Before I had QGis Lyon installed and working, then I uninstalled it for having the new version QGis essen. 

The OS is window 7 64bit, I have also python 3.5.2 installed and anaconda. 

I tried to install from standalone version and from OSGeo4W64. Moreover I tried to clen up the old installations, to remove .qgis2 hidden

forlder and alll registry entries.

History

#1 - 2016-06-30 09:18 AM - Luca De Felice

- % Done changed from 0 to 100

- Status changed from Open to Closed

I found out what was the problem. I had recently installed several python environments for testing purposes and the PYTHONPATH environment variable

were polluted. Adding ahain to the PYTHONPATH environment variable the canonical paths of QGis python [in my case:

E:\\QGis\\apps\\Python27\\Lib;E:\\QGis\\apps\\Python27;] makes the application working again.

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
